<?php
include('includes/configuracion.php');
$abrirbd = abrirdb();

if (isset($_GET["opcion"])) {
    $pagina = $_GET["opcion"];
	if ($pagina == "login") { login(); }
    elseif ($pagina == "compruebalogin") { compruebalogin(); }
    elseif ($pagina == "registro") { registro(); }
    else { login(); }}
elseif(!(isset($_REQUEST["opcion"])))
	{
	header('location: login_alumno.php?opcion=login');
	}		



function login()
{
	echo "Si aun no estas registrado puedes acerlo <a href='login_alumno.php?opcion=registro'>aqu&iacute;</a><br><br>
	<form action='login_alumno.php?opcion=compruebalogin' method='post'>
	Usuario<input type='text' name='usuario'><br>
	Contrase&ntilde;a<input type='password' name='contrasenia'><br>
	<input type='submit' value='Enviar'>
	</form>";
}

function compruebalogin()
{
	$usuario=$_POST['usuario'];
	$contrasenia=md5($_POST['contrasenia']);
	$query = mysql_query("SELECT * FROM alumno");
	$extraigo = mysql_fetch_array($query);
	
	if (!isset($_SESSION['contador']))
	{
		$_SESSION['contador']=1;
	}
	
	if ($_SESSION['contador'] >= Cintentos)
	{
		echo 'No puedes entrar';
	}
else
	{
		if(($usuario == $extraigo['usuario']) && ($contrasenia == $extraigo['contrasenia']))
		{
		echo "<a href='index_alumno.php?opcion=principal'>Continuar</a>";
		}
		else
			{
			 
					Fdenegado($usuario,$contrasenia);
					$_SESSION['contador']++;
					header('location: login_alumno.php?opcion=login');	
			}
	}		
}

function Fdenegado($usuario,$contrasenia)
{
//$consulta=mysql_query("INSERT INTO denegados SET usuario='$usuario',contrasenia='$contrasenia',ip='$_SERVER["REMOTE_ADDR"]',tipo='alumno'") or die(mysql_error());

}

function registro()
{
	if(isset($_POST['registro']))
		{
			extract($_POST);
			$contrasenia = md5($contrasenia1);
			$query = mysql_query("INSERT INTO alumno SET usuario='$usuario',contrasenia='$contrasenia',autorizacion='0',dni='$dni',nombre='$nombre',apellido1='$apellido1',apellido2='$apellido2',direccion='$direccion',telefono='$telefono'") or die(mysql_error());
			echo "Cuenta creada con exito<a href='login_alumno.php?opcion=login'>Volver</a>";	
		
		}
	else 
		{
			echo "<form action='login_alumno.php?opcion=registro' method='post'>
			<table width='50%'>
			<tr><td width='20%' style='vertical-align:top;'>Usuario:</td><td><input type='text' name='usuario' size='30' maxlength='30' /><br /><br /><br /></td></tr>
			<tr><td style='vertical-align:top;'>Contraseņa:</td><td><input type='password' name='contrasenia1' size='30' maxlength='30' /></td></tr>
			<tr><td style='vertical-align:top;'>Verificar Contraseņa:</td><td><input type='password' name='contrasenia2' size='30' maxlength='30' /><br /><br /><br /></td></tr>
			<tr><td style='vertical-align:top;'>DNI:</td><td><input type='text' name='dni' size='30' maxlength='10' /></td></tr>
			<tr><td style='vertical-align:top;'>Nombre:</td><td><input type='text' name='nombre' size='30' maxlength='30' /><br /><br /><br /></td></tr>
			<tr><td style='vertical-align:top;'>Primer apellido:</td><td><input type='text' name='apellido1' size='30' maxlength='30' /></td></tr>
			<tr><td>Segundo Apellido:</td><td><input type='text' name='apellido2' size='30' maxlength='30' /></td></tr>
			<tr><td>Direccion:</td><td><input type='text' name='direccion' size='30' maxlength='80' /></td></tr>
			<tr><td style='vertical-align:top;'>Telefono:</td><td><input type='text' name='telefono' size='30' maxlength='9' /><td></td></tr>
			<tr><td colspan='2'><input type='submit' name='registro' value='Enviar' /> <input type='reset' name='reset' value='Borrar' /></td></tr>
			</table>
			</form>";
		}
}



?>